/// ポイント情報
class Point {
  /// ポイント数
  int? point;

  /// ユーザーID
  String? userId;

  Point();

  factory Point.fromMap(Map<String, dynamic> map) {
    final data = Point();

    data.point = map['point'] as int?;
    data.userId = map['userId'] as String?;

    return data;
  }

  Map<String, dynamic> toMap() {
    final map = <String, dynamic>{};

    map['point'] = point;
    map['userId'] = userId;

    return map;
  }
}
