/// QRコード情報。
class QRCode {
  /// オブジェクトデータのコード
  String? code;

  /// データID
  String? dataId;

  /// オブジェクトデータ
  dynamic data;

  /// オブジェクトID
  String? objectName;

  /// テナントID
  String? tenantId;

  QRCode();

  factory QRCode.fromMap(Map<String, dynamic> map) {
    final data = QRCode();

    data.code = map['code'] as String?;
    data.dataId = map['dataId'] as String?;
    data.data = map['data'] as dynamic;
    data.objectName = map['objectName'] as String?;
    data.tenantId = map['tenantId'] as String?;

    return data;
  }

  Map<String, dynamic> toMap() {
    final map = <String, dynamic>{};

    map['code'] = code;
    map['dataId'] = dataId;
    map['data'] = data;
    map['objectName'] = objectName;
    map['tenantId'] = tenantId;

    return map;
  }
}
