/// 汎用データプロパティを持つオブジェクトです。
mixin Attributable {
  /// 汎用データプロパティ
  ///
  /// 主に以下の情報が格納されています。
  ///
  /// - 初期状態から項目設定で追加した項目などが格納されます
  /// - 他オブジェクトと紐づいたコード項目がある場合はその名称が格納されます
  Map<String, dynamic>? attributes;
}
