/// お気に入り集計情報
class FavoriteSummary {
  /// お気に入り件数
  int? favoriteCount;

  FavoriteSummary();

  factory FavoriteSummary.fromMap(Map<String, dynamic> map) {
    final data = FavoriteSummary();

    data.favoriteCount = map['favoriteCount'] as int?;

    return data;
  }

  static FavoriteSummary? import(Map<String, dynamic>? map) {
    if (map == null) return null;
    return FavoriteSummary.fromMap(map);
  }

  Map<String, dynamic> toMap() {
    final map = <String, dynamic>{};

    map['favoriteCount'] = favoriteCount;

    return map;
  }
}
